jQuery (function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */

		$(".services input[type='checkbox']").change(function() {
			var $this = this;
			var exclude = [];
			if($($this).val() == 'T12') {
				exclude = ['flexDeliveryService','pickShipService','pickReturnService'];
			}

			if($($this).val() == 'FDS') {
				if($this.checked) {
					$('#flexDeliveryEmail').removeClass('d-none');
					$('#flexDeliveryEmail #flexDeliveryEmailInput').removeAttr('disabled');
					$('#flexDeliverySMS').removeAttr('disabled');
					// $('#flexDeliveryPhone input').removeAttr('disabled');
				} else {
					$( "#flexDeliverySMS" ).prop( "checked", false );
					$('#flexDeliveryPhone').addClass('d-none');
				  $('#flexDeliveryPhone input').attr('disabled', 'disabled');
				}
				exclude = ['expressParcel','pickReturnService'];
			}

			if($($this).val() == 'PSS') {
				exclude = ['expressParcel','pickReturnService','smsService','exchangeService','documentReturnService','declaredValueInsuranceService'];
			}

			if($($this).val() == 'PRS') {
				exclude = ['expressParcel','flexDeliveryService','smsService','exchangeService','documentReturnService','declaredValueInsuranceService','pickShipService'];
			}

			if($($this).val() == 'SM1') {
				exclude = ['pickReturnService'];
				if($this.checked) {
					$('#smsText').removeClass('d-none');
					$('#smsText textarea').removeAttr('disabled');
				} else {
					$('#smsText textarea').attr('disabled', 'disabled');
				}
			}

			if($($this).val() == 'XS') {
				exclude = ['pickShipService','pickReturnService'];
			}

			if($($this).val() == 'SZL') {
				exclude = ['pickShipService','pickReturnService'];
				if($this.checked) {
					$('#documentInput').removeClass('d-none');
					$('#documentReturnService input').removeAttr('disabled');
				}
			}

			if($($this).val() == 'INS') {
				exclude = ['pickShipService','pickReturnService'];
				if(this.checked) {
					$('#insuranceValue').removeClass('d-none');
					$('#insuranceValue input').removeAttr('disabled');
				}
			}

			if (this.checked) {
				exclude_inputs(exclude);
				$(this).parent().parent().find('.sub-service').removeClass('d-none');
			  $(this).parent().parent().find('.sub-service input[type="checkbox"]').removeAttr('disabled');
			  $(this).parent().parent().find('.sub-service input[type="button"]').removeAttr('disabled');
			} else {
				include_inputs(exclude);
				$(this).parent().parent().find('.sub-service').addClass('d-none');
			  $(this).parent().parent().find('.sub-service input[type="checkbox"]').attr('disabled', 'disabled');
			  $(this).parent().parent().find('.sub-service input[type="text"]').attr('disabled', 'disabled');
			  $(this).parent().parent().find('.sub-service input[type="button"]').attr('disabled', 'disabled');
			}

			if($('#expressParcel input').is(':checked')) {
				exclude = ['flexDeliveryService','pickShipService','pickReturnService'];
				exclude_inputs(exclude);
			}

			if($('#flexDeliveryService input').is(':checked')) {
				exclude = ['expressParcel','pickReturnService'];
				exclude_inputs(exclude);
			}

			if($('#pickShipService input').is(':checked')) {
				exclude = ['expressParcel','pickReturnService','smsService','exchangeService','documentReturnService','declaredValueInsuranceService'];
				exclude_inputs(exclude);
			}

			if($('#pickReturnService input').is(':checked')) {
				exclude = ['expressParcel','flexDeliveryService','smsService','exchangeService','documentReturnService','declaredValueInsuranceService','pickShipService'];
				exclude_inputs(exclude);
			}

			if($('#smsService input').is(':checked')) {
				exclude= ['pickReturnService'];
				exclude_inputs(exclude);
			}

			if($('#exchangeService input').is(':checked')) {
				exclude = ['pickShipService','pickReturnService'];
				exclude_inputs(exclude);
			}

			if($('#documentReturnService input').is(':checked')) {
				exclude = ['pickShipService','pickReturnService'];
				exclude_inputs(exclude);
			}


			if($('#declaredValueInsuranceService input').is(':checked')) {
				exclude = ['pickShipService','pickReturnService'];
				exclude_inputs(exclude);
			}


			$("#flexDeliverySMS").change(function() {
				if(this.checked) {
					$('#flexDeliveryPhone').removeClass('d-none');
					$('#flexDeliveryPhone input').removeAttr('disabled');
				} else {
					$('#flexDeliveryPhone').addClass('d-none');
				  $('#flexDeliveryPhone input').attr('disabled', 'disabled');
				}
			});

			$('#add_expeditor').click(function(){
				if ($('.sms-input').val().length < 149) {
					$('.sms-input').val($('.sms-input').val()+'#SenderName#');
				}
			});
		});

		$('#add_nrcolet').click(function(){
			if ($('.sms-input').val().length < 151) {
				$('.sms-input').val($('.sms-input').val()+'#ParcelNr#');
			}
		});

		$('#add_ramburs').click(function(){
			if ($('.sms-input').val().length < 156) {
				$('.sms-input').val($('.sms-input').val()+$('#generate_awb .form-controller .ramburs').val()+' RON');
			}
		});

		$('#selectcont').change(function() {
			if ($(this).val() == 'GLS_CONT_1') {
				$('#smsService textarea').text($('#sms-text1').val());
			}
			if ($(this).val() == 'GLS_CONT_2') {
				$('#smsService textarea').text($('#sms-text2').val());
			}
			if ($(this).val() == 'GLS_CONT_3') {
				$('#smsService textarea').text($('#sms-text3').val());
			}
		});

		function exclude_inputs (exclude) {
			$.each(exclude, function(i,val) {
					$('#'+val).addClass('d-none');
					$('#'+val+' input').attr('disabled', 'disabled');
			});
		}

		function include_inputs (include) {
			$.each(include, function(i,val) {
					$('#'+val).removeClass('d-none');
					$('#'+val+' input').first().removeAttr('disabled');
				});
		}


});
