<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://dabex.eu
 * @author     Dabex Agency <contact@dabex.eu>
 * @since      1.0.0
 *
 * @package    Gls
 * @subpackage Gls/admin/partials
 */


$all_services = array(
	'T12' =>'ExpressParcel',
	'FDS' =>'FlexDeliveryService',
	'FSS' =>'flexDeliverySMS',
	'PSS' =>'Pick&ShipService',
	'PRS' =>'Pick&ReturnService',
	'SM1' =>'SMSService',
	'SM2' =>'PreadviceService',
	'XS' =>'ExchangeService',
	'SZL' =>'DocumentReturnService',
	'INS' =>'DeclaredValueInsuranceService'
);
$services = json_decode($ord_det->services);
$services_names = '';

if ($services) {
	foreach ($services as $key => $value) {
		$services_names .= $all_services[$value->code] .", ";
	}
}

if(isset($ord_det->ship_parcel_id) && $ord_det->ship_parcel_id != 0){
	$path_pdf = plugin_dir_url(dirname(dirname(__FILE__))) .'assets/awbs/'.$ord_det->ship_parcel_id.'.pdf';
	$parcelId = $ord_det->ship_parcel_id;
}else{
	$path_pdf = '';
	$parcelId = '-';
      }

if(is_numeric($ord_det->ship_parcel_id) && $ord_det->ship_parcel_id > 0){
			$xmlstring = file_get_contents('http://online.gls-romania.ro/tt_page_xml.php?pclid='.$ord_det->ship_parcel_id);
			// $xmlstring = file_get_contents('http://online.gls-romania.ro/tt_page_xml.php?pclid=28680785');
			if($xml = @simplexml_load_string ($xmlstring)){
				$json = json_encode($xml);
				$array = json_decode($json,TRUE);
				$tracking_array = $array['Parcel']['Statuses']['Status'];
				if(count($tracking_array)> 1){
					foreach($tracking_array as $tracking){
						$tracking_gls[] = $tracking['@attributes'];
					}
				}else{
					$tracking_gls[] = $tracking_array['@attributes'];
				}
			}
					// GLS STATUS CODES START
		$status_code[1] = 'APL- Registration';
		$status_code[2] = 'HUB-Outbound scan';
		$status_code[3] = 'Depot entry';
		$status_code[4] = 'Delivery list scan';
		$status_code[5] = 'Delivered';
		$status_code[6] = 'HUB Storage';
		$status_code[7] = 'Depot Storage';
		$status_code[8] = 'picked up by recipient';
		$status_code[9] = 'fixed delivery';
		$status_code[11] = 'holiday';
		$status_code[12] = 'notice left';
		$status_code[13] = 'depo routing failure';
		$status_code[14] = 'closed';
		$status_code[15] = 'lack of time';
		$status_code[16] = 'lack of money';
		$status_code[17] = 'refused';
		$status_code[18] = 'wrong address';
		$status_code[19] = 'unreachable';
		$status_code[20] = 'wrong ZIP';
		$status_code[21] = 'missorted';
		$status_code[22] = 'back to the HUB';
		$status_code[23] = 'back to the shipper';
		$status_code[24] = 'depot re-delivery';
		$status_code[25] = 'misrouted';
		$status_code[26] = 'HUB-Inbound';
		$status_code[27] = 'Small Parcel';
		$status_code[28] = 'HUB damaged';
		$status_code[29] = 'no data available';
		$status_code[30] = 'damaged';
		$status_code[31] = 'totally damaged';
		$status_code[32] = 'delivery in the evening';
		$status_code[33] = 'too many waiting';
		$status_code[34] = 'delivery too late';
		$status_code[35] = 'not ordered';
		$status_code[36] = 'closed entrance';
		$status_code[37] = 'central ordered';
		$status_code[38] = 'No delivery note';
		$status_code[39] = 'Do not confirm the delivery note';
		$status_code[43] = 'Lost';
		$status_code[44] = 'Not Systemlike Parcel';
		$status_code[46] = 'Change of delivery address';
		$status_code[47] = 'transferred to subcontractor';
		$status_code[51] = 'Data sent';
		$status_code[52] = 'COD data sent';
		$status_code[53] = 'DEPOT TRANSIT';
		$status_code[55] = 'Parcelshop deposit';
		$status_code[56] = 'Parcelshop storage';
		$status_code[57] = 'ParcelSHOP return';
		$status_code[58] = 'Delivered to neighbour';
		$status_code[80] = 'CHANGD DLIVERYADRES';
		$status_code[81] = 'RQINFO NORMAL';
		$status_code[82] = 'REQFWD MISROUTED';
		$status_code[83] = 'P&S/P&R registered';
		$status_code[84] = 'P&S/P&R printed';
		$status_code[85] = 'P&S/P&R on rollkarte';
		$status_code[86] = 'P&S/P&R picked up';
		$status_code[87] = 'no P&S/P&R parcel';
		$status_code[88] = 'küldemény nem áll készen';
		$status_code[89] = 'kevesebb csomagcímke';
		$status_code[90] = 'feladva más úton';
		$status_code[91] = 'P&S, P&R cancelled';
		$status_code[94] = 'CsomagPont status info';
		if(isset($tracking_array[0]['@attributes']['StCode'])){
			$gls_status = $status_code[$tracking_array[0]['@attributes']['StCode']];
		}
			//print_r($data['tracking_gls']);
}

?>

<!-- This file should primarily contain form fields. -->
<?php echo $error_awb ? $error_awb : ''; ?>
<?php if(isset($tracking_gls)): ?>
<table class="table table-bordered table-hover">
	<thead>
		<tr>
			<td class="text-left">Nr. Awb:</td>
			<td class="text-left">Date</td>
			<td class="text-left">Hour</td>
			<td class="text-left">Status</td>
			<td class="text-left">Ramburs</td>
			<td class="text-left">Servicii</td>
		</tr>
	</thead>
	<tbody>
		<?php foreach($tracking_gls as $tracking) { ?>
		<tr>
			<td class="text-left"><?php echo $parcelId ?></td>
			<td class="text-left"><?php echo date('Y-m-d',strtotime($tracking['StDate'])); ?></td>
			<td class="text-left"><?php echo date('H:i:s',strtotime($tracking['StDate'])); ?></td>
			<td class="text-left"><?php echo $status_code[$tracking['StCode']]; ?></td>
			<td class="text-left"><?php echo !empty($ord_det->codamount) ? $ord_det->codamount.' RON' : '-' ?></td>
			<td class="text-left"><?php echo $services_names ?></td>
		</tr>
		<?php } ?>
	</tbody>
</table>
<?php else: ?>
	<table class="table table-bordered table-hover">
	<thead>
		<tr>
			<td class="text-left">Nr. Awb:</td>
			<td class="text-left">Data ridicare</td>
			<td class="text-left">Info</td>
			<td class="text-left">Ref client</td>
			<td class="text-left">Ramburs</td>
			<td class="text-left">Ref. Ramburs</td>
			<td class="text-left">Servicii</td>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td class="text-left"><?php echo $parcelId ;?></td>
			<td class="text-left"><?php echo $ord_det->pickupdate ;?></td>
			<td class="text-left"><?php echo $ord_det->content ;?></td>
			<td class="text-left"><?php echo $ord_det->clientref ?></td>
			<td class="text-left"><?php echo !empty($ord_det->codamount) ? $ord_det->codamount.' RON' : '-' ?></td>
			<td class="text-left"><?php echo $ord_det->codref ?></td>
			<td class="text-left"><?php echo $services_names ?></td>
		</tr>
	</tbody>
</table>
<?php endif; ?>

<div class="row marg15">
	<div class="panel">
		<div class="order_data_column">
				<input type="submit" name="regenAwb" value="Regenereaza eticheta" class="btn btn-primary pull-left">
				<input id="delete" type="submit" name="deleteAwb" value="Sterge" class="btn btn-danger pull-right">
		</div>
	</div>
</div>

<?php if($ord_det && $ord_det->ship_parcel_id != 0) :?>
	<?php	$path_pdf = plugin_dir_url(dirname(dirname(__FILE__))) .'assets/awbs/'.$ord_det->ship_parcel_id.'.pdf'; ?>

	<?php $services = json_decode($ord_det->services, true); ?>

	<?php if($success_awb &&(!isset($services[3]) || (isset($services[3]) && $services[3]['code'] != 'PRS' ))): ?>
		<script>
			jQuery(document).ready(function(){
				var newWin = window.open("<?php echo $path_pdf ?>", "_blank");

				if(!newWin || newWin.closed || typeof newWin.closed=="undefined"){
					jQuery("#gls-tracking-modal .hndle" ).append("<a id=\'printBtn\' class=\'btn btn-primary pull-left\' href=<?php echo $path_pdf ?> target=\'_blank\'>Printeaza</a>");
					// window.location.replace("<?php echo $_SERVER['REQUEST_URI'] . '#generatedAwb'?>");
				}
			});
		</script>
	<?php endif ?>
<?php endif; ?>
