<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://dabex.eu
 * @author     Dabex Agency <contact@dabex.eu>
 * @since      1.0.0
 *
 * @package    Gls
 * @subpackage Gls/admin/partials
 */

/*
	load accounts
 */
$account1 = get_option('gls_cont_1');
$account2 = get_option('gls_cont_2');
$account3 = get_option('gls_cont_3');

$first_sms_text = 'Stimat client! Coletul dumneavoastră va fi livrat în următoarea zi lucrătoare. Numărul coletului este #ParcelNr#, ramburs: #COD#.';
$secound_sms_text = 'Stimat client! Coletul dumneavoastră va fi livrat în următoarea zi lucrătoare. Numărul coletului este #ParcelNr#, ramburs: #COD#.';
$third_sms_text = 'Stimat client! Coletul dumneavoastră va fi livrat în următoarea zi lucrătoare. Numărul coletului este #ParcelNr#, ramburs: #COD#.';

$alias1 = 'Cont GLS 1';
$alias2 = 'Cont GLS 2';
$alias3 = 'Cont GLS 3';

if (!empty($account1)) {
	$first_sms_text = isset($account1['sms_text']) ? $account1['sms_text'] : '';
	$alias1 = isset($account1['alias']) && !empty($account1['alias']) ? $account1['alias'] : 'Cont GLS 1';
}

if (!empty($account2)) {
	$secound_sms_text = isset($account2['sms_text']) ? $account2['sms_text'] : '';
	$alias2 = isset($account2['alias']) && !empty($account2['alias']) ? $account2['alias'] : 'Cont GLS 2';
}

if (!empty($account3)) {
	$third_sms_text = isset($account3['sms_text']) ? $account3['sms_text'] : '';
	$alias3 = isset($account3['alias']) && !empty($account3['alias']) ? $account3['alias'] : 'Cont GLS 3';
}

$glsAccount1 = !empty($account1) ? '<option value="GLS_CONT_1">'.$alias1.'</option>':'';
$glsAccount2 = !empty($account2) ? '<option value="GLS_CONT_2">'.$alias2.'</option>':'';
$glsAccount3 = !empty($account3) ? '<option value="GLS_CONT_3">'.$alias3.'</option>':'';

// echo '<pre>';
// print_r($order_data['total']);
// echo '</pre>';
// die();

 ?>

<!-- This file should primarily contain form fields. -->


<?php if ($glsAccount1 || $glsAccount2 || $glsAccount3) : ?>
	<?php echo $error_awb ? $error_awb : ''; ?>
	<div id="generate_awb" class="row bootstrap">
		<input id="sms-text1" type="hidden" value="<?php echo $first_sms_text ?>">
		<input id="sms-text2" type="hidden" value="<?php echo $secound_sms_text ?>">
		<input id="sms-text3" type="hidden" value="<?php echo $third_sms_text ?>">
		<input type="hidden" name="id_order" value="'.$params['id_order'].'">
		<input type="hidden" name="timestamp" value="<?php echo time() ?>">

		<?php
			$currentPostCode = $order->get_formatted_shipping_address() ? $order_data['shipping']['postcode'] : $order_data['billing']['postcode'] ;
			$currentCity = '';

			if (!empty($currentPostCode)) {
				$xml_path = dirname(__FILE__).'/cities_ro.xml';
				$xml_path = str_replace('\\', '/', $xml_path);
				$loadedXml = simplexml_load_file(dirname(__FILE__).'/cities_ro.xml');
				$cityFound = $loadedXml->xpath("/ArrayOfZCR/ZCR[@ZipCode = '$currentPostCode']");
			}
		?>

		<div class="col-lg-12 well">
			<div class="col-lg-6">
				<?php if (isset($cityFound) && !empty($cityFound)): ?>
					<?php $currentStreet = $cityFound[0]->attributes()->Street != " " ? ' ('.$cityFound[0]->attributes()->Street.')' : ''; ?>
					<strong><?php echo $currentPostCode; ?></strong> - .<?php echo $cityFound[0]->attributes()->City.$currentStreet. ' - '.$cityFound[0]->attributes()->County; ?>.<br />
					<div class="warning-gls"><strong>Atentie!</strong> Coletul va fi livrat in funcţie de codul poştal indicat mai sus.</div>
				<?php else: ?>
					<div class="module_error alert alert-danger">
						<strong>Codul Poștal indicat in comanda este incorect sau inexistent !</strong>
					</div>
				<?php endif; ?>
				<div class="form-controller">
						<label>Caută alt Cod Poștal: </label>
						<div class="">
							<input class="col-lg-12" type="text" id="zip_keyword" name="zip_keyword" placeholder="Localitate, Strada/Judet">
						</div>
				</div>
			</div>
			<div class="col-lg-6">
				<div id="add_new_zip"></div>
			</div>
		</div>

		<div class="col-lg-6 form-horizontal">
			<div class="row form-group">
				<div class="form-controller col-xs-12 col-lg-4">
					<label>Cont GLS: </label>
					<div class="fixed-width-xl">
						<select id="selectcont" name="select_cont" class="input-sm input-group fixed-width-xl">
							<?php echo $glsAccount1.$glsAccount2.$glsAccount3 ?>
						</select>
					</div>
				</div>
			</div>
			<div class="row form-group">
				<div class="form-controller col-xs-12 col-lg-6">
					<label>Numar colete: </label>
					<div class="input-group fixed-width-xl">
						<input class="nr-colete input-sm" type="text" name="pcount" value="1">
						<span class="input-group-addon">Buc.</span>
					</div>
				</div>
				<div class="form-controller col-xs-12 col-lg-6">
					<label>Data ridicarii: </label>
					<div class="input-group fixed-width-xl">
						<input type="text" name="pickupdate" class="date-picker input-sm" autocomplete="off" value="<?php echo date('Y-m-d', time())?>">
						<div class="input-group-addon">
							<i class="fa fa-calendar-o"></i>
						</div>
					</div>
				</div>
			</div>
			<div class="row form-group">
				<div class="form-controller col-xs-12 col-lg-6">
					<label>Info: </label>
					<div class="input-group fixed-width-xl">
						<input type="text" name="content" class="input-sm">
					</div>
				</div>
				<div class="form-controller col-xs-12 col-lg-6">
					<label>Referinte client: </label>
					<div class="input-group fixed-width-xl">
						<input type="text" name="clientref" class="input-sm">
					</div>
				</div>
			</div>
			<div class="row form-group">
				<div class="form-controller col-xs-12 col-lg-6">
					<label>Ramburs: </label>
					<div class="input-group fixed-width-xl">
						<input class="ramburs input-sm" type="text" name="codamount" value="<?php echo number_format($order_data['total'], 2, '.', '') ?>">
						<span class="input-group-addon">RON</span>
					</div>
				</div>
				<div class="form-controller col-xs-12 col-lg-6">
					<label>Ref. ramburs: </label>
					<div class="input-group fixed-width-xl">
						<input type="text" name="codref" class="input-sm">
					</div>
				</div>
			</div>
		</div>

		<div class="col-lg-6 form-horizontal">
			<div class="form-controller">
				<label>Servicii: </label><br />
				<div class="services">
					<div id="expressParcel" class="form-controller">
						<label><input type="checkbox" name="service[0][code]" value="T12"> ExpressParcel
						</label>
					</div>

					<div id="flexDeliveryService" class="form-controller">
						<label><input type="checkbox" name="service[1][code]" value="FDS"> FlexDeliveryService</label>
						<div id="flexDeliveryEmail" class="sub-service d-none">
							Vă rugăm să ne indicaţi adresa de e-mail a destinatarului pentru serviciul FDS şi să bifaţi căsuţa de mai jos dacă doriţi şi serviciul SMS. Dacă solicitaţi serviciul SMS, vă rugăm sa ne indicaţi numărul de telefon al destinatarului !<br />
							Email : <input id="flexDeliveryEmailInput" type="text" name="service[1][info]" disabled="disabled"><br />
							<label><input id="flexDeliverySMS" type="checkbox" name="service[2][code]" value="FSS"> FlexDeliveryService-SMS</label><br />
							<div id="flexDeliveryPhone" class="d-none">Telefon: <input type="text" name="service[2][info]" disabled="disabled">
							</div>
						</div>
					</div>

					<!--<div id="pickShipService" class="form-controller">
					<label><input type="checkbox" name="code[]" value="PSS"> Pick&ShipService</label>
					</div>-->

					<div id="pickReturnService" class="form-controller">
						<label><input type="checkbox" name="service[3][code]" value="PRS"> Pick&ReturnService
						</label>
					</div>

					<div id="smsService" class="form-controller">
						<label><input type="checkbox" name="service[4][code]" value="SM1"> SMSService</label>
						<div id="smsText" class="sub-service d-none">
							Introduceţi textul pentru SMS.
							E posibil să introduceţi în text rambursul cu ajutorul butonului Ramburs şi numărul de colet cu ajutorul butonului Număr colet<br />
							<input id="add_nrcolet" type="button" class="btn btn-default btn-sm" value="Nr. coletului"> <input id="add_ramburs" type="button" class="btn btn-default btn-sm" value="Ramburs"><br>
							<textarea class="sms-input" maxlength="160" name="service[4][info]" disabled="disabled"><?php echo $first_sms_text ?></textarea>
						</div>
					</div>

					<div id="preadviceService" class="form-controller">
						<label><input type="checkbox" name="service[5][code]" value="SM2"> PreadviceService (Nr. tel este necesar)
						</label>
					</div>

					<div id="exchangeService" class="form-controller">
						<label><input type="checkbox" name="service[6][code]" value="XS"> ExchangeService
						</label>
					</div>

					<div id="documentReturnService" class="form-controller">
						<label><input type="checkbox" name="service[7][code]" value="SZL"> DocumentReturnService</label>
						<div id="documentInput" class="sub-service d-none">
							Introduceţi numărul documentului pentru serviciul DocumentReturn ! <br />
							<input name="service[7][info]" type="text" disabled="disabled">
						</div>
					</div>

					<div id="declaredValueInsuranceService" class="form-controller">
						<label><input type="checkbox" name="service[8][code]" value="INS"> DeclaredValueInsuranceService</label>
						<div id="insuranceValue" class="sub-service d-none">
							Max. insurance value:7000 RON<br />
							<input name="service[8][info]" type="text" disabled="disabled">
						</div>
					</div>

				</div>
			</div>
		</div>

		<div class="col-lg-12">
			<input type="submit" name="GenerateAwb" value="Genereaza" class="btn btn-primary pull-right">
		</div>

	</div>

	<script type="text/javascript">
			jQuery(document).on("keyup", "#zip_keyword",function(){

				var keyword = jQuery(this).val();
				jQuery("#zip_keyword").autocomplete({
					source: function(request, response) {
						jQuery.ajax({
							dataType: "json",
							type: "POST",
							url: "<?php echo plugins_url('gls/admin/partials/ajax_xml.php') ?>",
							data: {
								keyword: keyword,
							},
							success: function(data) {
								response(jQuery.map(data, function(item) {
									var street = "";
									if(item.street[0] != " ") {
										street = " - "+item.street[0];
									}
									return {
										label:item.zip_code[0]+"-"+item.city[0] +street+ " - "+item.county[0],
										zip_code: item.zip_code[0],
										city:item.city[0],
										street:item.street[0],
										county:item.county[0],
									};
								}));
							}
						});
					},
					minLength: 3,
					select: function(event, ui) {
						//ui.item.name
						jQuery("#add_new_zip").html("<div><strong>"+ui.item.zip_code+" ("+ui.item.city+"-"+ui.item.street+", "+ui.item.county+")</strong>"+" <input type=\'hidden\' name=\'zip_code_val\' value=\'"+ui.item.zip_code+"\'><input type=\'submit\' name=\'UpdateZipOrder\' value=\'Actualizeaza in comanda\' class=\'btn btn-primary pull-right\'></div>");
			    }
				});
			});
	</script>

<?php else: ?>
	<?php $config_url = get_site_url(null, '/wp-admin/options-general.php?page=gls'); ?>
	<div class="module_error alert alert-danger">Pentru a genera AWB <a href="<?php echo($config_url); ?>">configureaza</a> modulul.</div>
<?php endif; ?>
