<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://dabex.eu
 * @since      1.0.0
 *
 * @package    Gls
 * @subpackage Gls/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div id="gls-tracking-modal">
<div class="wrap" id="form-wrap">

	<form method="post" name="cleanup_options" action="options.php">

		<h2><?php echo esc_html(get_admin_page_title()); ?></h2>
	  <?php

				$accountForms = array(
					1 => $this->plugin_name.'_cont_1',
					2 => $this->plugin_name.'_cont_2',
					3 => $this->plugin_name.'_cont_3',
				);
        //Grab all options

        settings_fields($this->plugin_name);
        do_settings_sections($this->plugin_name);

    ?>


    <?php foreach ($accountForms as $key => $form) :?>

		<div class="col-md-6 form-horizontal">
			<div class="panel panel-default">
	    	<div class="panel-heading">GLS CONT <?php echo $key; ?></div>
	    	<div class="panel-body">
					<div class="form-group">
						<label class="control-label col-lg-3 required">Nume Utilizator: *</label>
						<div class="col-lg-9">
							<input class="form-control" type="text" name="<?php echo $form; ?>[username]" value="<?php echo isset(get_option($form)['username']) ? get_option($form)['username'] : '' ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-3 required">Parola: *</label>
						<div class="col-lg-9">
							<input class="form-control" type="password" name="<?php echo $form; ?>[password]" value="<?php echo isset(get_option($form)['password']) ? get_option($form)['password'] : '' ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-3 required">Id expeditor: *</label>
						<div class="col-lg-9">
							<input class="form-control" type="text" name="<?php echo $form; ?>[senderid]" value="<?php echo isset(get_option($form)['senderid']) ? get_option($form)['senderid'] : '' ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-3 required">Alias:</label>
						<div class="col-lg-9">
							<input class="form-control" type="text" name="<?php echo $form; ?>[alias]" value="<?php echo isset(get_option($form)['alias']) ? get_option($form)['alias'] : '' ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-3">Mesaj SMS: </label>
						<div class="col-lg-9">
							<textarea class="form-control" maxlength="160" type="text" name="<?php echo $form; ?>[sms_text]"> <?php echo isset(get_option($form)['sms_text']) ? get_option($form)['sms_text'] : 'Stimat client! Coletul dumneavoastră va fi livrat în următoarea zi lucrătoare. Numărul coletului este #ParcelNr#, ramburs: .' ?></textarea>
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-3 required">Nume: *</label>
						<div class="col-lg-9">
							<input class="form-control" type="text" name="<?php echo $form; ?>[sender_name]" value="<?php echo isset(get_option($form)['sender_name']) ? get_option($form)['sender_name'] : '' ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-3 required">Adresă: *</label>
						<div class="col-lg-9">
							<input class="form-control" type="text" name="<?php echo $form; ?>[sender_address]" value="<?php echo isset(get_option($form)['sender_address']) ? get_option($form)['sender_address'] : '' ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-3 required">Cod poştal: *</label>
						<div class="col-lg-9">
							<input class="form-control" type="text" name="<?php echo $form; ?>[sender_zipcode]" value="<?php echo isset(get_option($form)['sender_zipcode']) ? get_option($form)['sender_zipcode'] : '' ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-3 required">Oraş: *</label>
						<div class="col-lg-9">
							<input class="form-control" type="text" name="<?php echo $form; ?>[sender_city]" value="<?php echo isset(get_option($form)['sender_city']) ? get_option($form)['sender_city'] : '' ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-3">Contact:</label>
						<div class="col-lg-9">
							<input class="form-control" type="text" name="<?php echo $form; ?>[sender_contact]" value="<?php echo isset(get_option($form)['sender_contact']) ? get_option($form)['sender_contact'] : '' ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-3">Telefon:</label>
						<div class="col-lg-9">
							<input class="form-control" type="text" name="<?php echo $form; ?>[sender_phone]" value="<?php echo isset(get_option($form)['sender_phone']) ? get_option($form)['sender_phone'] : '' ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-3">Email:</label>
						<div class="col-lg-9">
							<input class="form-control" type="text" name="<?php echo $form; ?>[sender_email]" value="<?php echo isset(get_option($form)['sender_email']) ? get_option($form)['sender_email'] : '' ?>" />
						</div>
					</div>

					<?php submit_button('Salveaza', 'primary pull-right','submitGLScont'.$key, TRUE); ?>

				</div>
			</div>
		</div>
		<?php endforeach; ?>
		<div class="col-md-12">

		</div>

	</form>

</div>
</div>
